Discussion:
[jruby-dev] master builds broken
(too old to reply)
Hirotsugu Asari
2013-10-15 01:50:04 UTC
Permalink
The master branch's Travis build has been broken: https://travis-ci.org/jruby/jruby/jobs/12495676#L744 somehow, somewhere, 'spec_helper.rb' is not loaded.

https://github.com/jruby/jruby/compare/bb3e552f93b0...6615e8183f31 is a rather big change between the builds, and one of these was later reverted (https://travis-ci.org/jruby/jruby/builds/12508731).

It doesn't make sense to me how this can cause failure, but it did. Any help will be appreciated.

Hiro
Wayne Meissner
2013-10-15 02:04:46 UTC
Permalink
I just reverted those commits in my tree, and it still fails.

When running mvn package, you get an error like:

Failed to execute goal on project jruby-tests: Could not resolve
dependencies for project org.jruby:jruby-tests:jar:9000.dev: Failed to
collect dependencies at rubygems:rspec:gem:2.14.1 ->
rubygems:rspec-core:gem:[2.14.0,2.14.99999]: No versions available for
rubygems:rspec-core:gem:[2.14.0,2.14.99999] within specified range ->
[Help 1]

That could be related.
Post by Hirotsugu Asari
The master branch's Travis build has been broken: https://travis-ci.org/jruby/jruby/jobs/12495676#L744 somehow, somewhere, 'spec_helper.rb' is not loaded.
https://github.com/jruby/jruby/compare/bb3e552f93b0...6615e8183f31 is a rather big change between the builds, and one of these was later reverted (https://travis-ci.org/jruby/jruby/builds/12508731).
It doesn't make sense to me how this can cause failure, but it did. Any help will be appreciated.
Hiro
---------------------------------------------------------------------
To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email
Uwe Kubosch
2013-10-15 05:59:37 UTC
Permalink
Hi!

I fixed the rspec build error yesterday by re-enabling the gem installation step. 4 of 6 Travis builds succeed. I think the two failing builds are not related to the eclipse config change.
Post by Wayne Meissner
I just reverted those commits in my tree, and it still fails.
Failed to execute goal on project jruby-tests: Could not resolve
dependencies for project org.jruby:jruby-tests:jar:9000.dev: Failed to
collect dependencies at rubygems:rspec:gem:2.14.1 ->
rubygems:rspec-core:gem:[2.14.0,2.14.99999]: No versions available for
rubygems:rspec-core:gem:[2.14.0,2.14.99999] within specified range ->
[Help 1]
That could be related.
Post by Hirotsugu Asari
The master branch's Travis build has been broken: https://travis-ci.org/jruby/jruby/jobs/12495676#L744 somehow, somewhere, 'spec_helper.rb' is not loaded.
https://github.com/jruby/jruby/compare/bb3e552f93b0...6615e8183f31 is a rather big change between the builds, and one of these was later reverted (https://travis-ci.org/jruby/jruby/builds/12508731).
It doesn't make sense to me how this can cause failure, but it did. Any help will be appreciated.
Hiro
---------------------------------------------------------------------
http://xircles.codehaus.org/manage_email
--
Uwe Kubosch
uwe-***@public.gmane.org
http://kubosch.no/





---------------------------------------------------------------------
To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

Loading...